View Issue Details

IDProjectCategoryView StatusLast Update
0000113Gorilla3D[All Projects] Feature Requestpublic2021-09-06 08:15
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.8.4.x 
Target Version0.8.4.xFixed in Version0.8.3.x 
Summary0000113: Setup TGorillaColliderSettings at design-time
DescriptionIt's more intuitive to setup physics collider settings at design-time. Currently this can only be done at runtime.

We shall implement a TGorillaColliderPrefab (TCollectionItem) and a TGorillaColliderPrefabs (TCollection) component set to be applied at design-time to a physics system component.

On physics activation, all prefabs will be executed. Eventually already existing colliders will be removed, to prevent double entries.
TagsNo tags attached.
Delphi-Version
OpenGLVersionOpenGL 4.3

Activities

administrator

2020-10-20 07:53

administrator   ~0000114

implemented, but needs to be tested

administrator

2020-11-26 11:56

administrator   ~0000130

Colliders can be setup at designtime.
But after reloading from DFM-file meshes are not available or not fully setup. So the collider is not valid.
There should be added functionality to update collider-presets

administrator

2021-09-06 08:15

administrator   ~0000192

fixed

Issue History

Date Modified Username Field Change
2020-10-19 08:05 administrator New Issue
2020-10-19 08:05 administrator Status new => assigned
2020-10-19 08:05 administrator Assigned To => administrator
2020-10-20 07:53 administrator Note Added: 0000114
2020-11-26 11:56 administrator Note Added: 0000130
2021-06-24 08:10 administrator Product Version 0.8.3.x => 0.8.4.x
2021-06-24 08:10 administrator Target Version 0.8.3.x => 0.8.4.x
2021-06-24 08:10 administrator Delphi-Version 10.4.1 =>
2021-09-06 08:15 administrator Status assigned => resolved
2021-09-06 08:15 administrator Resolution open => fixed
2021-09-06 08:15 administrator Fixed in Version => 0.8.3.x
2021-09-06 08:15 administrator Note Added: 0000192